/[gentoo-x86]/eclass/depend.php.eclass
Gentoo

Diff of /eclass/depend.php.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.9 Revision 1.10
1# Copyright 1999-2005 Gentoo Foundation 1# Copyright 1999-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/depend.php.eclass,v 1.9 2006/01/21 09:02:44 sebastian Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/depend.php.eclass,v 1.10 2006/01/21 09:15:08 sebastian Exp $
4# 4#
5# ======================================================================== 5# ========================================================================
6# 6#
7# depend.php.eclass 7# depend.php.eclass
8# functions to allow ebuilds to depend on php4 and/or php5 8# functions to allow ebuilds to depend on php4 and/or php5
341 return 341 return
342 fi 342 fi
343 343
344 # detect which PHP version installed 344 # detect which PHP version installed
345 if has_version '=dev-lang/php-4*' ; then 345 if has_version '=dev-lang/php-4*' ; then
346 PHP_PACKAGE_FOUND=1
346 pkg="`best_version '=dev-lang/php-4*'`" 347 pkg="`best_version '=dev-lang/php-4*'`"
347 if built_with_use =${pkg} cli ; then 348 if built_with_use =${pkg} cli ; then
348 PHP_VERSION=4 349 PHP_VERSION=4
349 fi 350 fi
351 fi
352
350 elif has_version '=dev-lang/php-5*' ; then 353 if has_version '=dev-lang/php-5*' ; then
354 PHP_PACKAGE_FOUND=1
351 pkg="`best_version '=dev-lang/php-5*'`" 355 pkg="`best_version '=dev-lang/php-5*'`"
352 if built_with_use =${pkg} cli ; then 356 if built_with_use =${pkg} cli ; then
353 PHP_VERSION=5 357 PHP_VERSION=5
354 fi 358 fi
355 else 359 fi
360
361 if [[ -z ${PHP_PACKAGE_FOUND} ]]; then
356 die "Unable to find an installed dev-lang/php package" 362 die "Unable to find an installed dev-lang/php package"
357 fi 363 fi
358 364
359 if [[ -z ${PHP_VERSION} ]]; then 365 if [[ -z ${PHP_VERSION} ]]; then
360 die "No PHP CLI installed" 366 die "No PHP CLI installed"

Legend:
Removed from v.1.9  
changed lines
  Added in v.1.10

  ViewVC Help
Powered by ViewVC 1.1.20